{% set min_chars = config.get('plugins.simplesearch.min_query_length', 3) %}

<form name="search" data-simplesearch-form>
  <ul class="menu">
  <li>
    <input
      name="searchfield"
      class="search-input"
      type="search"
      {% if min_chars > 0 %} min="{{- min_chars -}}" {% endif %}
      required
      placeholder="{{ "PLUGIN_SIMPLESEARCH.SEARCH_PLACEHOLDER"|t }}"
      value="{{ query|e }}"
      data-search-invalid="{{ "PLUGIN_SIMPLESEARCH.SEARCH_FIELD_MINIMUM_CHARACTERS"|t(min_chars)|raw }}"
      data-search-separator="{{ config.system.param_sep }}"
      data-search-input="{{ base_url }}{{ config.plugins.simplesearch.route == '@self' ? '' : (config.plugins.simplesearch.route == '/' ? '' : config.plugins.simplesearch.route) }}/query"
    />
  </li>

  {% if config.plugins.simplesearch.display_button -%}
    <li>
      <button class="button" type="submit">
        <i class="fi-magnifying-glass"></i>
      </button>
    </li>
  {%- endif %}
  </ul>
</form>
